Bug 181665 - CVE-2006-0709 Metamail heap based buffer overflow
CVE-2006-0709 Metamail heap based buffer overflow
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: metamail (Show other bugs)
2.1
All Linux
medium Severity high
: ---
: ---
Assigned To: Nalin Dahyabhai
source=debian,reported=20060213,publi...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-15 14:25 EST by Josh Bressers
Modified: 2007-11-30 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2006-0217
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 09:32:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Reproducer that crashes on RHEL2.1 (15.49 KB, text/plain)
2006-02-15 16:22 EST, Josh Bressers
no flags Details

  None (edit)
Description Josh Bressers 2006-02-15 14:25:05 EST
Metamail heap based buffer overflow

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=352482

A bug was found in the way metmail processes boundaries in mail
messages.  This issue is a pretty standard heap based buffer overflow.
The Debian bug has a reproducer and a patch.

This issue has been rated as Important since the elm mail reader uses
metamail to handle MIME messages.
Comment 2 Josh Bressers 2006-02-15 16:22:40 EST
Created attachment 124705 [details]
Reproducer that crashes on RHEL2.1
Comment 5 Red Hat Bugzilla 2006-02-21 09:33:00 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0217.html

Note You need to log in before you can comment on or make changes to this bug.